SQLITE3_VTAB_CONFIG(3)

NAME
sqlite3_vtab_config - Virtual Table Interface Configuration

SYNOPSIS
#include <sqlite.h>
int
sqlite3_vtab_config(sqlite3*, int op, ...);

DESCRIPTION
This function may be called by either the xConnect or xCreate method of a virtual table implementation to configure various facets of the virtual table interface.

If this interface is invoked outside the context of an xConnect or xCreate virtual table method then the behavior is undefined.

At present, there is only one option that may be configured using this function. (See SQLITE_VTAB_CONSTRAINT_SUPPORT.) Further options may be added in the future.

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 8664.

    SQLITE_API int sqlite3_vtab_config(sqlite3*, int op, ...);

SEE ALSO
SQLITE_VTAB_CONSTRAINT_SUPPORT(3)